/* Umstrukturieren einer Datendatei durch Zusammenfassen von Variablen 
GET FILE = 'C:\Daten\Testmatrix01.sav' .

SAVE OUTFILE='C:\Daten\dummy1.sav'
  /KEEP=personid ante1 post1 .
SAVE OUTFILE='C:\Daten\dummy2.sav'
  /KEEP=personid ante2 post2 .
SAVE OUTFILE='C:\Daten\dummy3.sav'
  /KEEP=personid ante3 post3.

ADD FILES 
  /FILE = 'C:\Daten\dummy1.sav'
    /RENAME (ante1 post1 = ante post)
    /IN = messung1
  /FILE = 'C:\Daten\dummy2.sav'
    /RENAME (ante2 post2 = ante post)
    /IN = messung2
  /FILE = 'C:\Daten\dummy3.sav'
    /RENAME (ante3 post3 = ante post)
    /IN = messung3 .

COMPUTE messung = messung1 + 2*messung2 + 3*messung3 .
FORMATS messung (F2) .
SORT CASES personid messung .

SAVE OUTFILE='C:\Daten\testliste.sav'
  /DROP=messung1 TO messung3 .
GET FILE ='C:\Daten\testliste.sav' .
DATASET NAME testliste .

ERASE FILE = 'C:\Daten\dummy1.sav' .
ERASE FILE = 'C:\Daten\dummy2.sav' .
ERASE FILE = 'C:\Daten\dummy3.sav' .
