/* Makros, die wie Parameter verwendet werden

GET FILE = 'C:\Daten\DatenL18-04.sav' .

DEFINE !DEM()1.95583!ENDDEFINE .
DEFINE !FRF()6.55957!ENDDEFINE .
DEFINE !ATS()13.760!ENDDEFINE .

DO IF (waehrung = 'DEM') .
  COMPUTE preis = preis/!DEM .
  RECODE waehrung ('DEM'='EUR') .
ELSE IF (waehrung = 'FRF') .
  COMPUTE preis = preis/!FRF .
  RECODE waehrung ('FRF'='EUR') .
ELSE IF (waehrung = 'ATS') .
  COMPUTE preis = preis/!ATS .
  RECODE waehrung ('ATS'='EUR') .
ELSE .
  COMPUTE preis = -1 .
  COMPUTE waehrung = '#NA' .
END IF .
MISSING VALUES preis    (-1) 
               waehrung ('#NA') .
EXECUTE .
