/* SQL-Abfrage: Join einer Tabelle mit gruppierten Daten einer zweiten Tabelle
GET DATA 
  /TYPE=ODBC 
  /CONNECT= 'DSN=Microsoft Access-Datenbank;' 
            'DBQ=C:\Daten\kunden.mdb;'
  /SQL = 'SELECT Q1.kundennr AS id, '
                'Q1.nachname AS name, '
                'Q1.lfzums, '   
                'Q2.grp_ums, Q2.grp_anz '
         'FROM  Kundenstamm AS Q1 '
            'LEFT JOIN '
               '(SELECT  kundennr, '
                      'SUM(grpumsatz) AS grp_ums, '
                      'COUNT(*) AS grp_anz '
               'FROM  KdInteressen '
               'GROUP BY kundennr) AS Q2 '
            'ON Q1.kundennr = Q2.kundennr ' .
EXECUTE .
























































