/* Zwei oms-Befehle lenken die Ergebnisse verschiedener Prozeduren in unterschiedliche Zieldateien
GET FILE = 'C:\Daten\Europa.sav' .

OMS SELECT TABLES
  /DESTINATION FORMAT = SAV 
               NUMBERED ='Tabelle' 
               OUTFILE = 'C:\Daten\Korr.sav' 
  /IF COMMANDS = ['CORRELATIONS'] 
      SUBTYPES =['CORRELATIONS']
  /TAG = 'kor' .

OMS SELECT TABLES
  /DESTINATION FORMAT = SAV 
               NUMBERED ='Tabelle' 
               OUTFILE = 'C:\Daten\RegKoeff.sav' 
  /IF COMMANDS = ['REGRESSION'] 
      SUBTYPES = ['COEFFICIENTS'] 
  /TAG = 'reg' .

CORRELATIONS
  /VARIABLES=ksterbl bip .
REGRESSION
  /DEPENDENT ksterbl
  /METHOD=ENTER bip .
CORRELATIONS
  /VARIABLES=analphab bip .
REGRESSION
  /DEPENDENT analphab
  /METHOD=ENTER bip .

OMSEND TAG = ['kor'] .
OMSEND TAG = ['reg'] .

EXECUTE .
